// 
// Module: CamCoords
// Author: Hassan Siddiqui
// 
// Modifications: See ChangeLog
// 
// $Id: CamCoords.cc,v 1.1 2000/05/25 11:19:49 hsiddiqu Exp $

// General classes

/* SAS-specific */
#include "Tracer.h"

/* Local */
#include "CamCoords.h"

CamCoords::CamCoords(double x, double y, double z):
  _x(x),
  _y(y),
  _z(z)
{
  PROC;
  ENDPROC;
}

double CamCoords::x() const { PROC; RETURN _x;} 
double CamCoords::y() const { PROC; RETURN _y;} 
double CamCoords::z() const { PROC; RETURN _z;} 

