// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: NullPatternFuncs
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: NullPatternFuncs.h,v 1.1 1999/02/04 16:13:44 hsiddiqu Exp $

#ifndef NullPatternFuncs_H
#define NullPatternFuncs_H

// SAS-specific classes
#include "Dal.h"

// General classes
#include <cmath>

// General utility functions
#include "Tracer.h"

// Local classes
#include "PatternFuncs.h"

// ===========================================================================

// class NullPatternFuncs

// A PatternFuncs object that returns "Null" information.
// Useful during development.

// ===========================================================================

class NullPatternFuncs : public PatternFuncs
{
public:
  
  /* Constructors */
  NullPatternFuncs(){};

  virtual ~NullPatternFuncs(){}

  double piledupCtRate( double /* energy */,
			double flux ) const
    {
      PROC;
      RETURN flux;
    }

};
#endif
