// 
// Module: ProbabilityFunctions
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: ProbabilityFunctions.h,v 1.1 2000/03/28 12:42:55 hsiddiqu Exp $

#ifndef ProbabilityFunctions_H
#define ProbabilityFunctions_H

// General classes
#include <cmath>

/* SAS-specific */

/* Local classes */
#include "SplitEventsData.h"

/******************************************
 *
 * class ProbabilityFunctions
 *
 * Namespace for common functions used 
 * in various PatternFunc implementations
 *
 ******************************************/

class ProbabilityFunctions
{
public:
  static double prob1 (const SplitEventsDist & alpha, double flux);

  static double prob2 (const SplitEventsDist & alpha, double flux);
};

#endif
