// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: RectPhotonDistribution
// Author: Hassan Siddiqui
//
// Description: 
// Models incident photon distribution on detector.
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: RectPhotonDistribution.cc,v 1.1 2000/03/28 12:42:56 hsiddiqu Exp $

/* General */

/* SAS-specific classes */
#include "Tracer.h"

/* Local */
#include "RectPhotonDistribution.h"

// =================================================================

// class RectPhotonDistribution

// Models a rectangular shaped photon distribution.

// =================================================================

  /* Constructor */
RectPhotonDistribution::RectPhotonDistribution( double energyLow,
						double energyHigh,
						double level):
  _energyLow   (energyLow),
  _energyHigh  (energyHigh),
  _level       (level)
    {}

/* Determine flux (/s) for given energy */
double RectPhotonDistribution::flux(double energy ) const
{
  PROC;
  
  RETURN (energy >= _energyLow && energy <= _energyHigh) ? _level : 0;
}
