// 
// Module: CamCoords
// Author: Hassan Siddiqui
// 
// Modifications: See ChangeLog
// 
// $Id: CamCoords.h,v 1.2 2000/05/25 11:19:49 hsiddiqu Exp $

#ifndef CamCoords_H
#define CamCoords_H

/* General */

/* SAS-specific */
#include "Tracer.h"

class CamCoords
{
public:

  CamCoords(double x, double y, double z);

  double x() const;
  double y() const;
  double z() const;

private:

  double _x;
  double _y;
  double _z;

};


#endif
