// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: MOSPatternData
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: MOSPatternData.h,v 1.3 2000/03/28 12:42:52 hsiddiqu Exp $

#ifndef MOSPatternData_H
#define MOSPatternData_H

// SAS-specific classes
#include "Dal.h"

// General classes
#include <cmath>

// General utility functions
#include "Tracer.h"

// Local classes
#include "PatternData.h"
#include "PatternFuncs.h"
#include "SplitEventsData.h"
#include "NullPatternFuncs.h"


class MOSPatternData : public PatternData
{
public:

  /* Constructors */
  MOSPatternData( const SplitEventsData& splitEventsData );

  /* Destructors */
  ~MOSPatternData();

private:

  PatternFuncs * _mono;
  PatternFuncs * _bi;
  PatternFuncs * _tri;
  PatternFuncs * _quad;

  
};

#endif 
