// Module: VectorRebinner.h
// Author: Hassan Siddiqui
//
// Description: Rebins an input vector.
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: VectorRebinner.h,v 1.1 2000/03/28 12:43:00 hsiddiqu Exp $

#ifndef VectorRebinner_H
#define VectorRebinner_H

/* General classes */
#include <vector>

/* SAS-specific classes */

/* Local classes */

/***********************************************************
 *
 * class VectorRebinner
 *
 ***********************************************************/

class VectorRebinner
{

 public:

  /* Constructor */
  VectorRebinner();

  /* Return a vector of rebinned values given an input vector.*/
  static const vector<double> rebin(const vector<double> & vect_in,
				    unsigned binfactor,
				    unsigned offset);

private:

};

#endif




